فا

‫ آسيب پذيري بارگذاري فايل دلخواه "src" در پلاگين Extend WordPress Free Version در وردپرس

IRCAD2011091421
شماره:IRCAD2011091421
تاريخ انتشار: 21-09-2011
ميزان حساسيت: بسيار مهم
نرم افزارهاي تحت تاثير:
WordPress Extend WordPress Free Version Plugin 2.x
توضيح:
يك آسيب پذيري در پلاگين Extend WordPress Free Version براي وردپرس كشف شده است كه مي­تواند توسط افراد خرابكار مورد سوء استفاده قرار گيرد تا كنترل يك سيستم آسيب پذير را در اختيار بگيرند.
ورودي ارسال شده از طريق پارامتر src در wp-content/plugins/extend-wordpress/helpers/timthumb/image.php پيش از استفاده در فايل­هاي cache شده به خوبي ارزيابي نمي­گردد. اين مساله مي­تواند براي بارگذاري و اجراي فايل­هاي PHP دلخواه مورد سوء استفاده قرار گيرد.
اين آسيب پذيري در نسخه 2.1.01 تاييد شده است. ساير نسخه ها نيز ممكن است تحت تاثير اين آسيب پذيري قرار داشته باشند.
راهكار:
به نسخه 2.1.02 به روز رساني نماييد.
منابع:

نظرات

بدون نظر
شما برای نظر دادن باید وارد شوید

نوشته

 
تاریخ ایجاد: 25 بهمن 1390

امتیاز

امتیاز شما
تعداد امتیازها: 0